io.vertx.camel

## Class OutboundMapping

- java.lang.Object
- - io.vertx.camel.CamelMapping
  - - io.vertx.camel.OutboundMapping

-     public class OutboundMapping
      extends CamelMapping

  Represents a mapping between a Vert.x event bus address and a Camel endpoint.
  Author:
    Clement Escoffier

- - ### Field Summary

    - ### Fields inherited from class io.vertx.camel.CamelMapping

      `DEFAULT_HEADERS_COPY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutboundMapping()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OutboundMapping` | `fromVertx(String address)` Creates an `OutboundMapping` from the given Vert.x address.
    `OutboundMapping` | `setAddress(String address)` Sets the event bus address.
    `OutboundMapping` | `setEndpoint(org.apache.camel.Endpoint endpoint)` Sets the Camel endpoint.
    `OutboundMapping` | `setHeadersCopy(boolean copyHeaders)` Sets whether or not the headers of the input message are copied in the output message.
    `OutboundMapping` | `setUri(String uri)` Sets the Camel endpoint URI.
    `OutboundMapping` | `toCamel(org.apache.camel.Endpoint endpoint)` Fluent version of `setEndpoint(Endpoint)`.
    `OutboundMapping` | `toCamel(String uri)` Fluent version of `setUri(String)`.
    `OutboundMapping` | `withoutHeadersCopy()` Fluent version of `setHeadersCopy(boolean)` to disable the headers copy.

    - ### Methods inherited from class io.vertx.camel.CamelMapping

      `getAddress, getUri, isHeadersCopy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutboundMapping

          public OutboundMapping()

  - ### Method Detail

    - #### fromVertx

          public static OutboundMapping fromVertx(String address)

      Creates an `OutboundMapping` from the given Vert.x address.
      Parameters:
        `address` - the address - must not be `null`
      Returns:
        the created `OutboundMapping`

    - #### setAddress

          public OutboundMapping setAddress(String address)

      Description copied from class: `CamelMapping`
      Sets the event bus address.
      Overrides:
        `setAddress` in class `CamelMapping`
      Parameters:
        `address` - the address
      Returns:
        the current `CamelMapping`

    - #### setHeadersCopy

          public OutboundMapping setHeadersCopy(boolean copyHeaders)

      Description copied from class: `CamelMapping`
      Sets whether or not the headers of the input message are copied in the output message.
      Overrides:
        `setHeadersCopy` in class `CamelMapping`
      Parameters:
        `copyHeaders` - `true` to copy the headers
      Returns:
        the current `CamelMapping`

    - #### setUri

          public OutboundMapping setUri(String uri)

      Description copied from class: `CamelMapping`
      Sets the Camel endpoint URI.
      Overrides:
        `setUri` in class `CamelMapping`
      Parameters:
        `uri` - the uri
      Returns:
        the current `CamelMapping`

    - #### setEndpoint

          public OutboundMapping setEndpoint(org.apache.camel.Endpoint endpoint)

      Description copied from class: `CamelMapping`
      Sets the Camel endpoint. If used, `CamelMapping.setUri(String)` does not need to be called.
      Overrides:
        `setEndpoint` in class `CamelMapping`
      Parameters:
        `endpoint` - the endpoint
      Returns:
        the current `CamelMapping`

    - #### toCamel

          public OutboundMapping toCamel(String uri)

      Fluent version of `setUri(String)`.
      Parameters:
        `uri` - the uri
      Returns:
        the current instance of `OutboundMapping`

    - #### toCamel

          public OutboundMapping toCamel(org.apache.camel.Endpoint endpoint)

      Fluent version of `setEndpoint(Endpoint)`.
      Parameters:
        `endpoint` - the endpoint
      Returns:
        the current instance of `OutboundMapping`

    - #### withoutHeadersCopy

          public OutboundMapping withoutHeadersCopy()

      Fluent version of `setHeadersCopy(boolean)` to disable the headers copy.
      Returns:
        the current instance of `OutboundMapping`

Copyright © 2016. All rights reserved.